tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Update stopper for gnome-power-manager?

On Sun, 24 Jun 2012 02:19:57 +0900, Julio Merino <> 

On Sat, Jun 23, 2012 at 5:25 AM, OBATA Akio <> wrote:
On Sat, 23 Jun 2012 14:07:51 +0900, OBATA Akio <> 

What is the stopper of updating gnome-power-manager to newer version?
Just not tried by anyone yet?

gnome-power-manager-2.26.4 require devkit-gobject module and devkit-power
command, missing in pkgsrc...

2.26 is a very old version anyway, and devkit-power is deprecated.  I
don't know what never versions require though.

2.30 still require devkit-power-gobject module, 3.x probably require UPower.

Why I tried updating to 2.26.4 is
* gnome-power-manager-2.24.4 is broken now due to using a deprecated feature by 
recent glib2.
* gnome-power-manager>=2.26 is not using the deprecated feature.
* gnome-power-manager should be updated?
* now pkgsrc is feature freeze, so changes should be minimalize.
* meta-pkgs/gnome and multimedia/gnome-mplayer depend on gnome-power-manager,
  meta-pkg/gnome is still 2.26.2.
* it is reasonable updating to 2.26.4?

We should set target version for Gnome related packages,
at least, latest 2.x or jump to 3.x.

OBATA Akio /

Home | Main Index | Thread Index | Old Index